TaxForms V3
Retrieves tax forms
Fetches tax forms based on client and year filters
Query Parameters
Policy/Contract number related to the tax form. Dependency: Must be used together with ‘planCode’. Either (policyNumber + planCode) OR (fromDate + toDate) must be provided.
Example:7720001823
Plan Code. Dependency: Must be used together with ‘policyNumber’. Either (policyNumber + planCode) OR (fromDate + toDate) must be provided.
Example:132007A04
Tax year for the form. Dependency: Use either ‘taxYear’ OR ‘numYears’, not both.
Example:2022
Number of years of forms to query in reverse chronological order from taxyear (incl). Min=1 and Max=5. Dependency: Use either ‘numYears’ OR ‘taxYear’, not both.
Default:1
>= 1<= 5
Example:1
Start date for filtering tax forms. Format: yyyy-MM-dd’T’HH:mm:ss.SSS’Z’, Timezone: UTC. Dependency: Must be used together with ‘toDate’. Either (fromDate + toDate) OR (policyNumber + planCode) must be provided.
Example:2025-08-13T15:01:17.542Z
End date for filtering tax forms. Format: yyyy-MM-dd’T’HH:mm:ss.SSS’Z’, Timezone: UTC. Dependency: Must be used together with ‘fromDate’. Either (fromDate + toDate) OR (policyNumber + planCode) must be provided.
Example:2025-08-13T15:01:17.542Z
Maximum number of records to return
Default:10
Example:10
Number of records to skip for pagination
Default:0
Example:0
Headers
Authorization token
Example:Bearer <token>
UUID for the request
Example:1760f822-dcbf-49fc-a623-a1998383f4b9
Response
application/json
Response
OK
TaxformResponseList
Number of tax forms found
Example:10
Show Child Parameters
Unique ID for correlating requests
Example:1760f822-dcbf-49fc-a623-a1998383f4b9
Authentication
Query Parameters
Headers
Downloads a tax form
Retrieves a tax form by its unique ID
Path Parameters
Form identifier for the taxform, either formId or documentId is mandatory
Headers
Authorization token
Example:Bearer <token>
UUID for the request
Example:1760f822-dcbf-49fc-a623-a1998383f4b9
Response
application/json
Response
OK
TaxformDownloadResponse
File extension of the document
Example:pdf
Binary data of the document
Example:wdvb2ekllkk189w0enjansle..
Unique ID for correlating requests
Example:1760f822-dcbf-49fc-a623-a1998383f4b9
Authentication
Path Parameters
Headers
ServiceRequestForms V3
Uploads a service request form and saves its details
Uploads a service request form and stores its details in the system. A document ID will be provided for reference.
Headers
Body
multipart/form-data
Body
The service request form file to upload. Either file or metadata.publicFormUrl is required.
Show Child Parameters
Response
application/json
Response
Service request form uploaded successfully
ServiceRequestFormUploadResponse
Unique document ID
Example:670e23dfab593b4387210b81
Unique ID for correlating requests
Example:123e4567-e89b-12d3-a456-426614174000